//+------------------------------------------------------------------+
//|                                             Highlight_Bar.mq4    |
//|                                        Copyright  2009,TuTBaluT |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, TuTBaluT"
#property show_inputs

#define OBJ_NAME_PREFIX "hl"
#define NO_LIMIT 0

//extern int   barShift = 10;
extern int   barShift = 1700;
extern color hlColor  = DodgerBlue;

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
   datetime barTime,prevTime,nextTime;
   double   barHigh,barLow;
   string   objName;

   barTime=Time[barShift];
   prevTime=barTime-(Period()*60);
   nextTime=barTime+(Period()*60);

   barHigh=High[barShift];
   barLow=Low[barShift];

   Print("barHigh:",barHigh," barLow:",barLow," barTime:",barTime);

   objName=StringConcatenate(OBJ_NAME_PREFIX,TimeToStr(barTime));

   ObjectCreate(objName,
                OBJ_RECTANGLE,
                0,
                prevTime,
                barHigh,
                nextTime,
                barLow);

   ObjectSet(objName,
             OBJPROP_COLOR,
             hlColor);

   return(0);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//void deinit()
//  {
//  }
//+------------------------------------------------------------------+
